; ==============================
; Definitions
; ==============================

	!FreeSpace		= $1FB000

HEADER
LOROM

; ==============================
; Pointer Hijack
; ==============================

ORG $029B16
	JML Hijack
Return123:
	RTS

; ==============================
; New Pointers
; ==============================

ORG !FreeSpace

;RATS tag to protect this code from LM and other program's data overwriting stuff.
; ==============================

db "STAR"
dw EndCode-MainCode-$01 
dw EndCode-MainCode-$01^$FFFF

MainCode:
; ==============================
Hijack:
	LDA $170B,x   
	BEQ Return321
	LDY $9D
	BNE CODE_029B27           
	LDY $176F,x             
	BEQ CODE_029B27           
	DEC $176F,x 
CODE_029B27:
	LDA $170B,x
	CMP #$13
	BCC POINTER_JUMP
	PHB  	
	PHK  	
	PLB    	
	JSR POINTER_JUMP	
	PLB	
Return321:
	JML Return123

POINTER_JUMP:
	LDA $170B,x
	PHX
	REP #$30
	AND #$00FF
	ASL
	TAX 
	LDA ExPtr,x
	STA $0A
	SEP #$30
	PLX
	JMP ($000A)

; ==============================
EndCode:

db "STAR"				;\
dw PointersEnd-PointersStart-$01	; |
dw PointersEnd-PointersStart-$01^$FFFF	;/

PointersStart:
ExPtr:
incsrc ExPointers.asm		;Pointers
PointersEnd:

db "STAR"				;\
dw CodeEnd-CodeStart-$01	; |
dw CodeEnd-CodeStart-$01^$FFFF	;/

CodeStart:
incsrc ExSpriteCode.asm		;Pointers
CodeEnd: